package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.EntityFinder;
import gov.va.med.esr.service.external.ExternalComponent;

public class IVMRecordStatusEntityFinder extends ExternalComponent implements EntityFinder {

	private static final long serialVersionUID = 7753379193081653389L;
	private String transactionId;
	private String errorText;
	
	public IVMRecordStatusEntityFinder(String transactionId, String errorText){
		this.transactionId = transactionId;
		this.errorText = errorText;
	}

	@Override
	public String getFinderData() {
		return transactionId;
	}

	public String getTransactionId() {
		return transactionId;
	}

	public String getErrorText() {
		return errorText;
	}
}
